This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146565 - Default ALSA config not right for 5.1 USB devices
Default ALSA config not right for 5.1 USB devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 14:12 EST by Jon Smirl
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-26 07:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Smirl 2005-01-29 14:12:39 EST
I have a Philips PSC805 Aurilium which is a USB 5.1 audio device. The
default ALSA config in FC3 is not correct for this device. For example
when I use xmms to play a CD it complains that the source has 2
channels and the output has 6. The fix is to add this to .asoundrc. I
would have expected the 2:6 conversion to be automatic.

There are still other config problem with this device and USB Audio in
general. FC3 could do with some more testing on USB Audio devices. For
example in another bug gnome-audio does not have the capability to
digitally play CDs as needed by USB audio.

pcm.ch51dup {
	type route
	slave.pcm surround51
	slave.channels 6
	ttable.0.0 1
	ttable.1.1 1
	ttable.0.2 1
	ttable.1.3 1
	ttable.0.4 0.5
	ttable.1.4 0.5
	ttable.0.5 0.5
	ttable.1.5 0.5
}

pcm_slave.sl {
	pcm "hw:0,0"
}

cards.pcm.surround51 {
	type plug
	slave sl1
}

Then in xmms set the output device to ch51dup.
Comment 1 Martin Stransky 2005-05-09 04:04:17 EDT
Unfortunately, this sound card isn't supported by ALSA. Please, write
a request at www.alsa-project.org, people there can add your sound
card configuration to the list of cards (It's in /etc/alsa/cards/).
This is the right way how to do it.
Comment 2 Jon Smirl 2005-05-09 12:21:35 EDT
Fortunately this card is support under ALSA and I am listening to it
right now. It is a standard USB audio device. What is different is
that it is a 6 channel USB audio device instead of a 2 channel one.

You needs to add something like this to the .asoundrc to hear stereo:

pcm.ch51dup {
        type route
        slave.pcm surround51
        slave.channels 6
        ttable.0.0 1
        ttable.1.1 1
        ttable.0.2 1
        ttable.1.3 1
        ttable.0.4 0.5
        ttable.1.4 0.5
        ttable.0.5 0.5
        ttable.1.5 0.5
}

With Fedora 4 no USB audio is working out of the box. I have to
manually configure it.

The ALSA support works without issues. It the the Fedora config setup
that is messed up.
Comment 3 Martin Stransky 2005-05-26 07:59:55 EDT
Yes, it is the "standard USB audio device with 2 channels", not the
"Philips PSC805 Aurilium with 6 channels" and this is the problem. 

ALSA needs specific configuration for your device and not only a
hotfix like asoundrc patch for one specific card.

Note You need to log in before you can comment on or make changes to this bug.